package com.yizhi.application;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Date 2020/12/25 11:57 上午
 * @Author lvjianhui
 **/
public class Test {


    @org.junit.Test
    public void test() {

        Long hour = 0L;
        Long minute = 0L;
        Long seconds = 0L;

        StringBuffer sbTime = new StringBuffer();
        if (hour < 10) {
            sbTime = sbTime.append("0").append(hour);
        }else {
            sbTime = sbTime.append(hour);
        }
        sbTime = sbTime.append(":");

        if (minute < 10) {
            sbTime = sbTime.append("0").append(minute);
        }else {
            sbTime = sbTime.append(minute);
        }
        sbTime = sbTime.append(":");

        if (seconds < 10) {
            sbTime = sbTime.append("0").append(seconds);
        }else {
            sbTime = sbTime.append(seconds);
        }

        System.out.println(sbTime.toString());
    }

}
